<?php

/**
 * Settings image model.
 *
 * @package northmill-online-shared
 */
declare (strict_types=1);
namespace Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Modules\Admin\Pages\Page\Admin_Sync_Settings\Models\Properties;

use Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Abstracts\Data_Model;
defined('ABSPATH') || exit;
/**
 * Class Settings_Image_Model
 */
class Settings_Image_Model extends Data_Model
{
    /**
     * Image Hub ID.
     * @var string
     */
    public string $Id;
    /** var int */
    public $WPId;
    /** var string */
    public $Name;
    /** var string */
    public $Description;
    /** var DateTime */
    public $CreatedTime;
    /** var string */
    public $ContentType;
    /** var bool */
    public $IsMainFile;
    /** var string */
    public $URL;
    /**
     * Get Hub ID.
     * @return string
     */
    public function get_id(): string
    {
        return $this->Id;
    }
    public function get_wp_id()
    {
        return $this->WPId;
    }
    public function get_name()
    {
        return $this->Name;
    }
    public function get_url()
    {
        return $this->URL;
    }
    public function is_main_file()
    {
        return \true == $this->IsMainFile;
    }
}
